Description

This is a guide how | installed Samba4 and got it working as a replacement for AD domain controllers on FreeBSD 9.
Here’s the overview of the network:

1. DC1:dc01.example.com 192.168.1.254

2. DC2: dc02.example.com 192.168.1.253

3. Router: 192.168.1.1
4. Domain: example.com

Preparing the Environment

e First of all, Samba4 is really bleeding edge at the time of this writing, so you’ll want to make sure pkg is up to date:
pkg update && pkg upgrade

* Now Samba4 requires ACL'’s to be enabled on the file system. Wherever you've installed the Samba4 data is the partition you'll
need to add ACL’s. This example is the bare bones simple install of /swap and /

edit /etc/fstab

o Add the acls option to the / partition:

# Device Mountpoint FStype Options Dump Pass#
/dev/adalp2 / ufs rw,acls 1 1
/dev/adalp3 none swap sw 0 0

o NOTE: If installing in a jail, make sure to add the acls option to the host fstab and not the jail fstab.

® Since | don't feel like rebooting my system to apply it, I'll simply remount the partition:

mount -o acls /

* You will also need to update your resolv.conf file to reflect the domain:

edit /etc/resolv.conf

o Here’s an example of what it should look like:

# Generated by resolvconf

search EXAMPLE.COM

domain example.com

nameserver 192.168.1.254

nameserver 192.168.1.253

nameserver 192.168.1.1 #Fallback DNS IP
Installing Samba4

e Install Samba4:
pkg install sambaé
* Now let’s provision Samba4 as a Domain Controller:

/usr/local/samba/bin/samba-tool domain provision —-use-rfc2307 —--interactive

Realm: example.com

Domain [example]: example

Server Role (dc, member, standalone) [dc]: de

DNS backend (SAMBA_INTERNAL, BIND9_FLATFILE, BIND9_DLZ, NONE) [SAMBA_INTERNAL]: SAMBA_INTERNAL
DNS forwarder IP address (write 'none’ to disable forwarding): 192.168.1.1

Administrator password: SuperSecretPassword

Retype password: SuperSecretPassword

0O 0 0O 0 0 0 o

e Add the following line to the [global] section of /usr/local/etc/smb4.conf:

[globall]
nsupdate command = /usr/local/bin/samba-nsupdate -g

e Start and enable Samba to start at boot:

echo 'samba_server_enable="YES"' >> /etc/rc.conf
service samba_server start

Testing Samba4

e First let’s run this to test the domain:
/usr/local/samba/bin/smbclient -L localhost -U%
® You should see output for your domain. Now let’s test the administrative login:
/usr/local/samba/bin/smbclient //localhost/netlogon -UAdministrator -c 'ls'
e [f that's all good, let’s test DNS:
host -t SRV _ldap._tcp.example.com
_ldap._tcp.example.com has SRV record 0 100 389 sambalLDAPO1.example.com.
¢ And now let’s test the Kerberos DNS record:
host -t SRV _kerberos._udp.example.com

_kerberos._udp.example.com has SRV record 0 100 88 sambalLDAPOQ1.example.com.
e And finally, let’s test our DNS A record:

host -t A sambalDAPOl.example.com

sambalLDAPO1.example.com has address 192.168.1.254

* Now let’s test logging in as Administrator user (using Kerberos):

kinit administrator@EXAMPLE.COM

e And now run this to see your Kerberos ticket:

klist

Resources

e http://wiki.samba.org/index.php/Samba_AD_DC_HOWTO
e http:/www.whitneytechnologies.com/?p=422

History

#1 - 05/03/2014 10:52 PM - Daniel Curtis
- Description updated

- % Done changed from 70 to 80

#2 - 05/04/2014 08:51 AM - Daniel Curtis

- Description updated

#3 - 05/04/2014 10:15 AM - Daniel Curtis

- Description updated

#4 - 05/04/2014 10:38 AM - Daniel Curtis

- Description updated

#5 - 05/04/2014 01:04 PM - Daniel Curtis

- Description updated

#6 - 05/04/2014 03:18 PM - Daniel Curtis

- Description updated

#7 - 05/04/2014 07:00 PM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#8 - 02/15/2015 08:49 PM - Daniel Curtis
- Project changed from 81 to FreeBSD Administration
- Category set to Domain Controller

- Target version set to FreeBSD 9

#9 - 02/27/2016 12:19 PM - Daniel Curtis
- Description updated

04/10/2024 3/4



http://wiki.samba.org/index.php/Samba_AD_DC_HOWTO
http://www.whitneytechnologies.com/?p=422

#10 - 02/27/2016 12:42 PM - Daniel Curtis
- Description updated

#11 - 03/12/2016 02:09 PM - Daniel Curtis

- Status changed from Resolved to Closed

04/10/2024 4/4


http://www.tcpdf.org

